-- Name: RAT-010 - Helo FARP and Ship
-- Author: funkyfranky
-- Date Created: 23 Sep 2017
--
-- # Situation:
--
-- Spawn helos at FARPS or ships.
-- 
-- # Test cases:
--
-- 1. Obsever five Yak-40 being spawned at random airports. They will travel to a random destination but the cruising altitude will not be below 5,000 feet and not be above 20,000 feet.

-- Create RAT object from Huey template.
local huey1=RAT:New("RAT_Mi8-2")

-- Huey departing from FARP Berlin.
huey1:SetDeparture({"Gas Platform-1", "Gas Platform-2", "Oil Rig-1", "Oil Rig-1"})

-- Flying to Normandy.
huey1:SetDestination({"Civ Cargo Vessel-1"})


-- Take-off with engines on.
huey1:SetTakeoff("cold")

-- Huey will respawn at Normandy and fly back to FARP Berlin.
huey1:Commute()

-- Huey will be spawned.
huey1:Spawn()
